curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"issuance_job": {
"id": "job_xyz789",
"campaign_id": "camp_abc123",
"variant_id": "var_treat1",
"state": "completed",
"total_count": 2,
"processed_count": 2,
"success_count": 1,
"failure_count": 1,
"progress_percent": 100,
"created_at": "2025-06-15T10:30:00Z",
"started_at": "2025-06-15T10:30:05Z",
"completed_at": "2025-06-15T10:30:15Z",
"summary": {
"success_count": 1,
"failure_count": 1,
"failures": [
{
"identifier_index": 1,
"identifier_type": "phone",
"error": "User not found"
}
]
}
}
}
Issuance Jobs
Get Issuance Job
Returns the status of a reward issuance job
GET
/
partner
/
issuance_jobs
/
:id
curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"issuance_job": {
"id": "job_xyz789",
"campaign_id": "camp_abc123",
"variant_id": "var_treat1",
"state": "completed",
"total_count": 2,
"processed_count": 2,
"success_count": 1,
"failure_count": 1,
"progress_percent": 100,
"created_at": "2025-06-15T10:30:00Z",
"started_at": "2025-06-15T10:30:05Z",
"completed_at": "2025-06-15T10:30:15Z",
"summary": {
"success_count": 1,
"failure_count": 1,
"failures": [
{
"identifier_index": 1,
"identifier_type": "phone",
"error": "User not found"
}
]
}
}
}
Scope required:
rewards.issuecompleted state, a summary field is included
with success and failure counts. If any issuances failed, the summary
includes a failures array with details about each failure.
Parameters
Response
Completion summary (only present when state is
completed)curl https://api.thanxsandbox.com/partner/issuance_jobs/job_xyz789?merchant_id={merchant_id} \
-X GET \
-H 'X-ClientId: {client_id}' \
-H 'Accept-Version: v4.0' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer {access_token}'
{
"issuance_job": {
"id": "job_xyz789",
"campaign_id": "camp_abc123",
"variant_id": "var_treat1",
"state": "completed",
"total_count": 2,
"processed_count": 2,
"success_count": 1,
"failure_count": 1,
"progress_percent": 100,
"created_at": "2025-06-15T10:30:00Z",
"started_at": "2025-06-15T10:30:05Z",
"completed_at": "2025-06-15T10:30:15Z",
"summary": {
"success_count": 1,
"failure_count": 1,
"failures": [
{
"identifier_index": 1,
"identifier_type": "phone",
"error": "User not found"
}
]
}
}
}